NAMED(8C)

NAME
named, in.named - Internet domain name server

SYNOPSIS
/usr/etc/in.named [ -d level ] [ -p port ] [[-b] bootfile ]

DESCRIPTION
named is the Internet domain name server. It is used by resolver libraries to provide access to the Internet distributed naming database. The domain name server is described in the See RFC 1034 and RFC 1035 for more details. With no arguments named reads /etc/named.boot for any initial data, and listens for queries on a privileged port.

OPTIONS

-d level
    Print debugging information. level is a number indicating the level of messages printed.

-p port
    Use port as the port number, rather than the standard port number.

-b bootfile
    Use bootfile rather than /etc/named.boot.

EXAMPLE
    ;
    ;	boot file for name server
    ;
    ; type		domain		source file or host
    ;
    primary		berkeley.edu    named.db
    secondary	cc.berkeley.edu 10.2.0.78 128.32.0.10
    cache		.               named.ca

The primary line states that the file named.db contains authoritative data for berkeley.edu. The file named.db contains data in the master file format, described in RFC 1035, except that all domain names are relative to the origin; in this case, berkeley.edu (see below for a more detailed description).

The secondary line specifies that all authoritative data under cc.berkeley.edu is to be transferred from the name server at 10.2.0.78. If the transfer fails it will try 128.32.0.10, and continue for up to 10 tries at that address. The secondary copy is also authoritative for the domain.

The cache line specifies that data in named.ca is to be placed in the cache (only used to find the root domain servers). The file named.ca is in the same format as named.db.

The master file consists of entries of the form:
    $INCLUDE <filename>
    $ORIGIN <domain>
    <domain> <opt_ttl> <opt_class> <type> <resource_record_data>
where domain is `.' for the root, `@' for the current origin, or a standard domain name. If domain is a standard domain name that does not end with `.', the current origin is appended to the domain. Domain names ending with `.' are unmodified.

The opt_ttl field is an optional integer number for the time-to-live field. It defaults to zero.

The opt_class field is currently one token, `IN' for the Internet.

The type field is one of the following tokens; the data expected in the resource_record_data field is in parentheses.

A   A host address (dotted quad).

NS  An authoritative name server (domain).

MX  A mail exchanger (domain).

CNAME
    The canonical name for an alias (domain).

SOA Marks the start of a zone of authority (5 numbers). (see RFC 1035)).

MB  A mailbox domain name (domain).

MG  A mail group member (domain).

MR  A mail rename domain name (domain).

NULL
    A null resource record (no format or data).

WKS A well know service description (not implemented yet).

PTR A domain name pointer (domain).

HINFO
    Host information (cpu_type OS_type).

MINFO
    Mailbox or mail list information (request_domain error_domain).

FILES
/etc/named.boot
    name server configuration boot file
/etc/named.pid
    the process ID
/var/tmp/named.run
    debug output
/var/tmp/named_dump.db
    dump of the name servers database

SEE ALSO
kill(1), signal(3V), resolver(3), resolv.conf(5), nslookup(8C)

Mockapetris, Paul, Domain Names - Concepts and Facilities, RFC 1034, Network Information Center, SRI International, Menlo Park, Calif., November 1987.

Mockapetris, Paul, Domain Names - Implementation and Specification, RFC 1035, Network Information Center, SRI International, Menlo Park, Calif., November 1987.

Mockapetris, Paul, Domain System Changes and Observations, RFC 973, Network Information Center, SRI International, Menlo Park, Calif., January 1986.

Partridge, Craig, Mail Routing and the Domain System, RFC 974, Network Information Center, SRI International, Menlo Park, Calif., January 1986.

NOTES
The following signals have the specified effect when sent to the server process using the kill(1) command.

SIGHUP
    Causes server to read named.boot and reload database.

SIGINT
    Dumps current data base and cache to /var/tmp/named_dump.db.

SIGUSR1
    Turns on debugging; each subsequent SIGUSR1 increments debug level.

SIGUSR2
    Turns off debugging completely.